Plugin Installation

How to Install Gambit Plugins

When downloading All Files and Documentation:
Step 1. After you download the copy from CodeCanyon, proceed on extracting the zip file.
Step 2. The extracted file consists of the License, Documentations, Plugin folders and ReadMe files. Go to the Plugin folder and upload the .zip file in it to your plugins.
Step 3. Once uploading is finished, Activate the plugin.

IMPORTANT: Uploading the whole All Files and Documentation zip file will cause your installation to fail. Please use the Installable WordPress File that is inside the Plugin folder upon installation. 

When downloading Installable WordPress file only:
Step 1. After you download the copy from CodeCanyon, go to the Plugin folder and upload the .zip file in it to your plugins.
Step 2. Once uploading is finished, Activate the plugin.

FTP Method of Installation:
Step 1. Extract the plugin's Downloadable Wordpress File zip.
Step 2. Copy and Past it in your site's wp-content/plugins.


Prerequisite Plugins

Some of our plugins listed below require certain plugins in order to work. These have been specified in our Plugin Page beforehand. And here is a list of our plugins where that plugin is required: (list may change without prior notice)

Advanced Custom Fields PRO
  • WooCommerce Conditional Booking Discounts

* A copy of Advanced Custom Fields PRO is included when you download the All Files and Documentations version of the plugin *

Titan Framework

This plugin is readily available via WordPress Plugin Repository at https://wordpress.org/plugins/titan-framework/ you can proceed by downloading your copy or by searching it via Add Plugin.

  • Five Star Rating and Review Widget
  • Meet the Team
  • Simply Social
  • Sumo Search
  • The Loading Bar
  • Torchbox Lightbox
WPBakery Page Builder

Most of our plugins are in fact, a WPBakery Page Builder addon that may or may not require this plugin. WPBakery Page Builder required plugins will only be available if you have WPBakery Page Builder. While other plugins may not require it and still can be utilized by, but it will add an extra element for WPBakery Page Builder when available. This will help make the plugin easier to use.

Here is the list of our plugins where Visual Composer is REQUIRED: (list may change without prior notice)

  • Backend Live Preview
  • Carousel Anything
  • Google Fonts
  • Hover Animations
  • CSS Animation
  • Shadow Effects
  • Row Separators
  • Row Scroll Animation
  • Text Gradient
  • Undo Redo
  • Video and Parallax Backgrounds

On the other hand, here are the list of our plugins where Visual Composer is NOT REQUIRED but will add an extra menu if VC is installed: (list may change without prior notice)

  • 4K Icons Fonts
  • 12K SVG Icons
  • Animated Text Effects
  • Before and After
  • Hero Boxes
  • Image & Video Device Mockups Shortcode
  • Isometric Tiles
  • Loupe Magnifying Glass
  • Meet the Team
  • Photo Real Responsive Product Mockups

Frequently Asked Questions

For WPBakery Page Builder Add-ons: I can't find my plugin components in the Add Element menu!
Please check your WPBakery Page Builder settings Role Manager. The Role Manager is responsible for showing and hiding elements in your Add Element menu. You can customize your Elements drop down for which plugin is allowed to use on a certain group of users.

If you tried this but still the plugin component is still doesn't show, please check your theme as well if they have a plugin whitelist. Some themes are using a whitelist that prevents WPBakery Page Builder addons from appearing. If you have this kind of problem, please contact your theme author about adding your other plugins to their whitelist.

I am trying to upload my plugin, but it gives me a "The package could not be installed. No valid plugins were found. Plugin install failed." message!
This happens when you tried to install the whole plugin file including the documentation. Please refer to How to Install Gambit Plugins for above installation.

I installed the plugin, but my settings are missing/broken. What should I do?
Please check if your plugin has a prerequisite plugin. Plugin requirements are listed in their respected Product page.